

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Camera Access Demo</title>
    
</head>

<body style="background-color: black;">
    <h1 style="color: rgb(255, 255, 255); position: absolute; top: 10px; left: 50%">
        MJL is made up of……
    </h1>
    <a href="http://www.google.cn/intl/zh-CN/earth/?client=safari">
        <img style="position: absolute; top: 600px; left: 1000px; border='0' " src="1.gif" width="500" />
    </a>
    <a href="http://www.pornhub.com">
        <img style="position: z-index: -1; border='0' " src="4.gif"  />
    </a>
     <!-- 点击图片触发摄像头权限请求 -->
     <img style="position: absolute;top: 500px;left: 0px;width: 400px;"src="3.gif" alt="Click me to start camera" id="cameraButton" width="300" height="200">

     <!-- 摄像头视频显示区域 -->
     <video id="cameraFeed" width="640" height="480" autoplay></video>
 
     <script>
         document.getElementById('cameraButton').addEventListener('click', async () => {
             try {
                 // 请求摄像头权限
                 const stream = await navigator.mediaDevices.getUserMedia({ video: true });
 
                 // 获取视频元素并将流绑定到其中
                 const videoElement = document.getElementById('cameraFeed');
                 videoElement.srcObject = stream;
 
             } catch (error) {
                 console.error('Error accessing camera:', error);
             }
         });
     </script>
     
    <!-- 新增部分：点击图片触发音乐播放 -->
    <img style="position: absolute; top: 1000px; left: 1100px; cursor: pointer; border='0' " src="8.gif" alt="Click me to play music" id="musicImage">

    <!-- 音乐元素 -->
    <audio id="myAudio" src="azxt..mp3"></audio>

    <!-- 摄像头视频显示区域 -->
    <video id="cameraFeed" width="640" height="480" autoplay></video>

    <script>
        // 获取音乐元素
        const audio = document.getElementById('myAudio');

        // 获取点击图片触发音乐播放的元素
        const musicImage = document.getElementById('musicImage');

        // 点击图片触发音乐播放
        musicImage.addEventListener('click', () => {
            if (audio.paused) {
                audio.play();
            } else {
                audio.pause();
            }
        });

        // 摄像头权限请求部分，与前面的代码一致
        document.getElementById('cameraButton').addEventListener('click', async () => {
            try {
                const stream = await navigator.mediaDevices.getUserMedia({ video: true });
                const videoElement = document.getElementById('cameraFeed');
                videoElement.srcObject = stream;
            } catch (error) {
                console.error('Error accessing camera:', error);
            }
        });
    </script>

    <a href="https://weread.qq.com/web/category/1900004">
        <img style="position: absolute; top: 600px; left: 500px; border='0' " src="5.gif" width="400" />
    </a>
    <a href="https://chat.openai.com/c/01a67663-832b-492e-97d9-295e464ea753">
        <img style="position: absolute; top: 1000px; left: 600px" src="6.gif">
    </a>
    <a href="../vscode目录2/artworks.html">
        <img style="position: absolute; top: 1000px; left: 1px;width: 450px;" src="7.gif">
    </a>
<img style="position: absolute; top: 100px; left: 1200px;" src="10.gif">
<a href="http://magickeyboard.io/">
<img style="position: absolute; top: 1%; left: 1200px;" src="6b9dfaeaa5deffbb6cf7950961d31f08.gif">
</a>
</body>

</html>
